#ifndef _FACTORING_H
#define _FACTORING_H

#include <NTL/ZZ.h>

NTL_CLIENT

unsigned long *erathostenes(unsigned long upper_bound);
int trialdiv_ub(ZZ &n, long B, ZZ *factor, int *expo);
int trialdiv(ZZ &n, unsigned long *prime, ZZ *factor, int *expo);
void factorization_print(const ZZ *factor, int *expo);
void factorization_sort(ZZ *factor, int *expo);
void factorization_insert(ZZ *factor, int *expo, const ZZ &p, int e);
ZZ factorization_largest_factor(const ZZ *factor, int *expo);
#endif
